Bug 1413488 - Missing firmware amdgpu/tonga_k_smc.bin
Summary: Missing firmware amdgpu/tonga_k_smc.bin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c13b394cfd92dad269ed9fbea38...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 06:50 UTC by Vedran Miletić
Modified: 2019-01-09 12:54 UTC (History)
12 users (show)

Fixed In Version: linux-firmware-20161205-69.git91ddce49.fc25 linux-firmware-20161205-69.git91ddce49.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-20 18:06:29 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (72.38 KB, text/plain)
2017-01-16 06:50 UTC, Vedran Miletić
no flags Details

Description Vedran Miletić 2017-01-16 06:50:05 UTC
Additional info:
reporter:       libreport-2.8.0
WARNING: CPU: 3 PID: 315 at drivers/gpu/drm/ttm/ttm_page_alloc_dma.c:545 ttm_dma_free_pool+0xe7/0xf0 [ttm]
Modules linked in: amdkfd amd_iommu_v2 amdgpu(+) i2c_algo_bit drm_kms_helper 8021q garp stp llc mrp ttm crc32c_intel serio_raw r8169 drm mii i2c_hid fjes hid_holtek_mouse
CPU: 3 PID: 315 Comm: systemd-udevd Not tainted 4.9.3-200.fc25.x86_64 #1
Hardware name: MSI MS-7971/Z170-A PRO (MS-7971), BIOS 1.H0 12/21/2016
 ffffaacc837e37a8 ffffffffb73f3ddd 0000000000000000 0000000000000000
 ffffaacc837e37e8 ffffffffb70a202b 00000221837e37b8 ffff930444c17780
 ffff93044a5ee2d0 0000000000000008 ffffffffc030f090 0000000000000018
Call Trace:
 [<ffffffffb73f3ddd>] dump_stack+0x63/0x86
 [<ffffffffb70a202b>] __warn+0xcb/0xf0
 [<ffffffffb70a215d>] warn_slowpath_null+0x1d/0x20
 [<ffffffffc01cee47>] ttm_dma_free_pool+0xe7/0xf0 [ttm]
 [<ffffffffc01cfe74>] ttm_dma_page_alloc_fini+0x64/0x100 [ttm]
 [<ffffffffc01c5129>] ttm_mem_global_release+0x19/0x90 [ttm]
 [<ffffffffc0245932>] amdgpu_ttm_mem_global_release+0x12/0x20 [amdgpu]
 [<ffffffffc012f52d>] drm_global_item_unref+0x5d/0x80 [drm]
 [<ffffffffc024737c>] amdgpu_ttm_fini+0x13c/0x1d0 [amdgpu]
 [<ffffffffc0249222>] amdgpu_bo_fini+0x12/0x40 [amdgpu]
 [<ffffffffc0266ed2>] gmc_v8_0_sw_fini+0x42/0x50 [amdgpu]
 [<ffffffffc0235422>] amdgpu_fini+0x292/0x410 [amdgpu]
 [<ffffffffc0237139>] amdgpu_device_init+0xce9/0x13a0 [amdgpu]
 [<ffffffffb71ee1a4>] ? kmalloc_order_trace+0x24/0xa0
 [<ffffffffc0239a3b>] amdgpu_driver_load_kms+0x5b/0x210 [amdgpu]
 [<ffffffffc01213f7>] drm_dev_register+0xa7/0xd0 [drm]
 [<ffffffffc012347c>] drm_get_pci_dev+0x9c/0x1c0 [drm]
 [<ffffffffc02344ac>] amdgpu_pci_probe+0xbc/0xe0 [amdgpu]
 [<ffffffffb7448b85>] local_pci_probe+0x45/0xa0
 [<ffffffffb7449fd3>] pci_device_probe+0x103/0x150
 [<ffffffffb754a753>] driver_probe_device+0x223/0x430
 [<ffffffffb754aa3f>] __driver_attach+0xdf/0xf0
 [<ffffffffb754a960>] ? driver_probe_device+0x430/0x430
 [<ffffffffb754813c>] bus_for_each_dev+0x6c/0xc0
 [<ffffffffb7549e9e>] driver_attach+0x1e/0x20
 [<ffffffffb75498d0>] bus_add_driver+0x170/0x270
 [<ffffffffc034d000>] ? 0xffffffffc034d000
 [<ffffffffb754b360>] driver_register+0x60/0xe0
 [<ffffffffc034d000>] ? 0xffffffffc034d000
 [<ffffffffb74484ac>] __pci_register_driver+0x4c/0x50
 [<ffffffffc012368b>] drm_pci_init+0xeb/0x100 [drm]
 [<ffffffffc034d000>] ? 0xffffffffc034d000
 [<ffffffffc034d095>] amdgpu_init+0x95/0xa8 [amdgpu]
 [<ffffffffb7002190>] do_one_initcall+0x50/0x180
 [<ffffffffb71e68f3>] ? kvfree+0x33/0x40
 [<ffffffffb722fe13>] ? kfree+0x153/0x170
 [<ffffffffb722f2b9>] ? kmem_cache_alloc_trace+0x159/0x1b0
 [<ffffffffb71c017a>] ? do_init_module+0x27/0x1ef
 [<ffffffffb71c01b2>] do_init_module+0x5f/0x1ef
 [<ffffffffb712fe01>] load_module+0x25b1/0x2980
 [<ffffffffb712c6e0>] ? __symbol_put+0x60/0x60
 [<ffffffffb7130343>] SYSC_init_module+0x173/0x190
 [<ffffffffb713047e>] SyS_init_module+0xe/0x10
 [<ffffffffb7003c17>] do_syscall_64+0x67/0x180
 [<ffffffffb781bcab>] entry_SYSCALL64_slow_path+0x25/0x25

Comment 1 Vedran Miletić 2017-01-16 06:50:17 UTC
Created attachment 1241118 [details]
File: dmesg

Comment 2 Vedran Miletić 2017-01-16 06:52:41 UTC
For the record, this does not happen with 4.8.16.

Comment 3 Vedran Miletić 2017-01-16 07:15:26 UTC
I have 3 monitors. The monitor on DVI-D-1 remains in standby. HDMI-1 and DP-1 work normally.

Comment 4 Vedran Miletić 2017-01-17 18:33:35 UTC
Solved by updating linux-firmware to this version https://koji.fedoraproject.org/koji/buildinfo?buildID=822926 and reinstalling the kernel.

This will also affect Fedora 24 once kernel 4.9 hits updates.

Comment 5 Fedora Update System 2017-01-17 18:49:15 UTC
linux-firmware-20161205-69.git91ddce49.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2adfb69272

Comment 6 Fedora Update System 2017-01-17 18:49:30 UTC
linux-firmware-20161205-69.git91ddce49.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3ccaa742bb

Comment 7 Fedora Update System 2017-01-19 07:22:48 UTC
linux-firmware-20161205-69.git91ddce49.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3ccaa742bb

Comment 8 Fedora Update System 2017-01-19 09:10:21 UTC
linux-firmware-20161205-69.git91ddce49.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2adfb69272

Comment 9 Fedora Update System 2017-01-20 18:06:29 UTC
linux-firmware-20161205-69.git91ddce49.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-21 20:20:31 UTC
linux-firmware-20161205-69.git91ddce49.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.